Loading...
Searching...
No Matches
casacore::RecordExpr_global_functions_RecordExpr Struct Reference
tables package (libcasa_tables) » TaQL_module

More...

`#include <RecordExpr.h>`

## Public Member Functions

TableExprNode | makeRecordExpr (const RecordDesc &desc, Int fieldNumber)
| Make a record expression node for the given field in the record description.
TableExprNode | makeRecordExpr (const RecordDesc &desc, const String &fieldName)
TableExprNode | makeRecordExpr (const RecordInterface &record, Int fieldNumber)
| Make a record expression node for the given field in the record.
TableExprNode | makeRecordExpr (const RecordInterface &record, const String &fieldName)
| Make a record expression node for the given field in the record.

## Detailed Description

Global functions to make a expression node for a record field.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- TableExprNode

### Synopsis

This file contains a few global functions to construct an expression node for a field in a record.

Definition at line 60 of file RecordExpr.h.

## Member Function Documentation

## makeRecordExpr() [1/4]

TableExprNode casacore::RecordExpr_global_functions_RecordExpr::makeRecordExpr | ( | const RecordDesc & | desc,
|  | const String & | fieldName )

## makeRecordExpr() [2/4]

TableExprNode casacore::RecordExpr_global_functions_RecordExpr::makeRecordExpr | ( | const RecordDesc & | desc,
|  | Int | fieldNumber )

Make a record expression node for the given field in the record description.

References casacore::fieldNumber().

Referenced by makeRecordExpr().

## makeRecordExpr() [3/4]

TableExprNode casacore::RecordExpr_global_functions_RecordExpr::makeRecordExpr | ( | const RecordInterface & | record,
|  | const String & | fieldName )

Make a record expression node for the given field in the record.

The field can be a field in the record itself, but it can also be a field in a subrecord (or subsubrecord, etc.). If it is not a field in the record itself, the name must define the 'path' to the field in the subrecord by preceeding the field name with the name(s) of the subrecord(s) separated by dots. E.g. sub1.sub2.fld

References casacore::RecordInterface().

## makeRecordExpr() [4/4]

TableExprNode casacore::RecordExpr_global_functions_RecordExpr::makeRecordExpr | ( | const RecordInterface & | record,
|  | Int | fieldNumber )

inline

Make a record expression node for the given field in the record.

Definition at line 70 of file RecordExpr.h.

References casacore::fieldNumber(), makeRecordExpr(), and casacore::RecordInterface().

The documentation for this struct was generated from the following file:

- tables/TaQL/RecordExpr.h